if (this.actor.system.status.advantage.value >= 2)
{
    await this.actor.modifyAdvantage(-2);
    this.script.notification("Vorteil entfernt")
}
else
{
    return this.script.notification("Vorteil entfernt", "error")
}

let test = await this.actor.setupTrait(this.item)
await test.roll();